<script>
	export default {
		globalData: {
			navHeight: "",
		},
		onLaunch: function() {
			console.warn('当前组件仅支持 uni_modules 目录结构 ，请升级 HBuilderX 到 3.1.0 版本以上！')
			console.log('App Launch')
			wx.getSystemInfo({
				success: res => {
					this.globalData.navHeight = res.statusBarHeight + 52 + "px"; // 赋值导航高度
				},
				fail(err) {
					console.log(err);
				}
			})
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style>
	/*每个页面公共css */
	/* 解决头条小程序组件内引入字体不生效的问题 */
	/* #ifdef MP-TOUTIAO */
	@font-face {
		font-family: uniicons;
		src: url("/static/uni.ttf");
	}

	/* #endif */
	.home {
		width: 97%;
		margin: 0 auto;
		/* padding-top: 23%; */
	}

	/deep/.uni-forms-item__inner {
		padding-bottom: 0rpx !important;
		margin-bottom: 30rpx !important;
		border-bottom: 0.5rpx solid #CCCCCC !important;
	}

	/* /deep/ .share .uni-popup .uni-popup__wrapper{
				 width: 70% !important;
				 border-radius: 15rpx !important;
	}
	/deep/ .share1 .uni-popup .uni-popup__wrapper{
				 width: 85% !important;
	} */
</style>
